"""Add domain to collections and preallocated collections

Revision ID: 6cb1ff7ce4c1
Revises: 7bb0eab50f86
Create Date: 2018-01-16 14:26:13.756042

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '6cb1ff7ce4c1'
down_revision = '7bb0eab50f86'
branch_labels = None
depends_on = None


def upgrade():
    op.add_column(
        'collection', sa.Column('domain', sa.TEXT(), nullable=True))
    op.add_column(
        'preallocated_collection',
        sa.Column('domain', sa.TEXT(), nullable=True))


def downgrade():
    op.drop_column('collection', 'domain')
    op.drop_column('preallocated_collection', 'domain')
