"""blackpearl connector

Revision ID: d2e6642342ad
Revises: 08abf4c4dd51
Create Date: 2019-08-07 20:38:00.252949

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'd2e6642342ad'
down_revision = '08abf4c4dd51'
branch_labels = None
depends_on = None


def upgrade():
    conn = op.get_bind()

    # enable the blackpearl connector
    conn.execute("""
        UPDATE connector
        SET enabled = 1, allow_mapped_collections = 1, display_name = 'BlackPearl'
        WHERE id = '7e3f3f5e-350c-4717-891a-2f451c24b0d4'
        """)

def downgrade():
    conn = op.get_bind()

    # disable the blackpearl connector
    conn.execute("""
        UPDATE connector
        SET enabled = 0
        WHERE id = '7e3f3f5e-350c-4717-891a-2f451c24b0d4'
        """)
